<?php
namespace Planejamento\Entities;

class Nutrprod extends Base\Nutrprod
{

    /**
     * Cria um novo registro da tabela Nutrprod
     *
     * @param String $cdproduto   Código Produto
     * @param String $cdnutriente Código Nutriente
     * @param String $qtnutrprod  Quantidade
     * @param String $dsfontnutr  Fonte
     * @param String $nrorg       Organização
     * @param String $dataAtual   Data Atual
     * @param String $cdoperador  Operador
     *
     * @return null
     */
    public static function insereNutrprod (
        $cdproduto, $cdnutriente, $qtnutrprod, $dsfontnutr,
        $nrorg, $dataAtual, $cdoperador
    ) {
        $nutrprod = self::getObjectByWhere(
            "NRORG = ? AND CDPRODUTO = ? AND CDNUTRIENTE = ?",
            array($nrorg, $cdproduto, $cdnutriente)
        );

        if ($nutrprod === false) {
            $nutrprod = new self();
            $nutrprod->setCdproduto($cdproduto);
            $nutrprod->setCdnutriente($cdnutriente);
            $nutrprod->setNrorg($nrorg);
        }

        $nutrprod->setQtnutrprod($qtnutrprod);
        $nutrprod->setDsfontnutr($dsfontnutr);
        //
        $nutrprod->setNrorginclusao($nrorg);
        $nutrprod->setNrorgultatu($nrorg);
        $nutrprod->setDtinclusao($dataAtual);
        $nutrprod->setDtultatu($dataAtual);
        $nutrprod->setDtultatunupr($dataAtual);
        $nutrprod->setCdoperinclusao($cdoperador);
        $nutrprod->setCdoperultatu($cdoperador);

        $nutrprod->persist();
    }

    /**
     * Busca os Nutrientes para um dado Produto.
     *
     * @param String $nrorg     Organização
     * @param String $cdproduto Código do Produto
     *
     * @return bool.
     */
    public static function buscaNutrprod ($nrorg, $cdproduto)
    {
        $nutrprod = self::getObjectsByWhere(
            "NRORG = ? AND CDPRODUTO = ?",
            array($nrorg, $cdproduto)
        );

        return $nutrprod;
    }

}