/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPAUDIT                                                 */
/* Tabela : TIPAUDIT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/02/2003 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPAUDIT
BEFORE INSERT OR UPDATE OR DELETE
ON TIPAUDIT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTAUD := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPAUDIT,0) <> NVL(:NEW.CDTIPAUDIT,0)) OR
         (NVL(:OLD.NMTIPAUDIT,0) <> NVL(:NEW.NMTIPAUDIT,0)) THEN
         :NEW.DTULTATUTAUD := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPAUDIT', '', 'CDTIPAUDIT='||:OLD.CDTIPAUDIT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPAUDIT MODIFY DTULTATUTAUD DEFAULT SYSDATE
/
