const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../../json/leitorJson.po');
const tipoDeBaixaAReceber = require('../../../../page-objects/parametrizacao/financeiro/titulosAReceber/tipoDeBaixaAReceber.po');
describe('Tipo de Baixa a Receber', () => {
    beforeEach(() => {
        browser.get('http://erpteste.teknisa.com/login/');
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        tipoDeBaixaAReceber.abrir();
    });

    afterEach(() => {
        geral.sair();
    });
    it('Acessar tela de Tipo de Baixa a Receber', () => {
        expect(z.component.header.getTitle()).toBe('Tipo de Baixa a Receber');
    });
    it('Realizar o preenchimento dos campos solicitados na página', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-14157251641788277009779')));
        geral.clickAdicionar();
        tipoDeBaixaAReceber.adicionar(j.getValor('codigoTipoDeBaixaReceber'), j.getValor('descricaoTipoDeBaixa'),
            j.getValor('geraEstornoBancario'), j.getValor('contabilizaLancamento'), j.getValor('historicoIntegracao'),
            j.getValor('tipoDaBaixa'));
        geral.clickSalvar();
        geral.filterIt(j.getValor('descricaoTipoDeBaixa'));
        expect(geral.gridHasText('14157251641788277009779', j.getValor('descricaoTipoDeBaixa'), 1)).toBe(j.getValor('descricaoTipoDeBaixa'));
    });
    it('Editar Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-14157251641788277009779')));
        geral.filterIt(j.getValor('descricaoTipoDeBaixa'));
        geral.clickGrid('NMTPBAIXAREC', j.getValor('descricaoTipoDeBaixa'), '14157251641788277009779');
        geral.clickEditar();
        tipoDeBaixaAReceber.editar(j.getValor('descricaoTipoDeBaixa1'), j.getValor('geraEstornoBancario'),
            j.getValor('historicoIntegracao1'));
        geral.clickSalvar();
        geral.clickVoltar();
        geral.filterIt(j.getValor('descricaoTipoDeBaixa1'));
        expect(geral.gridHasText('14157251641788277009779', j.getValor('descricaoTipoDeBaixa1'), 1)).toBe(j.getValor('descricaoTipoDeBaixa1'));
    });
    it('Excluir Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-14157251641788277009779')));
        geral.filterIt(j.getValor('descricaoTipoDeBaixa1'));
        geral.clickGrid('NMTPBAIXAREC', j.getValor('descricaoTipoDeBaixa1'), '14157251641788277009779');
        geral.clickExcluir();
        geral.clickSim();
        geral.filterIt(j.getValor('descricaoTipoDeBaixa1'));
        expect(geral.gridHasText('14157251641788277009779', j.getValor('descricaoTipoDeBaixa1'), 1)).toBeUndefined();
    });
});
